edu.isi.pegasus.planner.catalog.transformation.client

## Class Client

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.transformation.client.Client

Direct Known Subclasses:
  TCAdd, TCDelete, TCQuery

    public class Client
    extends java.lang.Object

### Field Summary

Fields
`protected java.lang.String` `file`
`protected boolean` `isoldformat`
`protected boolean` `isxml`
`protected java.lang.String` `lfn`
`protected LogManager` `mLogger`
`protected java.lang.String` `name`
`protected java.lang.String` `namespace`
`protected java.lang.String` `pfn`
`protected java.lang.String` `profile`
`protected java.util.List` `profiles`
`protected java.lang.String` `resource`
`protected SysInfo` `system`
`protected java.lang.String` `systemstring`
`protected TransformationCatalog` `tc`
`protected int` `trigger`
`protected java.lang.String` `type`
`protected java.lang.String` `version`

### Constructor Summary

Constructors
Constructor and Description
`Client()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.lang.String` `convertException(java.lang.Exception e, int logLevel)` Returns an error message that chains all the lower order error messages that might have been thrown.
`void` `fillArgs(java.util.Map argsmap)` Takes the arguments from the TCClient and stores it for acess to the other TC Client modules.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### trigger

    protected int trigger

#### lfn

    protected java.lang.String lfn

#### pfn

    protected java.lang.String pfn

#### profile

    protected java.lang.String profile

#### type

    protected java.lang.String type

#### resource

    protected java.lang.String resource

#### systemstring

    protected java.lang.String systemstring

#### namespace

    protected java.lang.String namespace

#### name

    protected java.lang.String name

#### version

    protected java.lang.String version

#### profiles

    protected java.util.List profiles

#### system

    protected SysInfo system

#### file

    protected java.lang.String file

#### mLogger

    protected LogManager mLogger

#### tc

    protected TransformationCatalog tc

#### isxml

    protected boolean isxml

#### isoldformat

    protected boolean isoldformat

### Constructor Detail

#### Client

    public Client()

### Method Detail

#### fillArgs

    public void fillArgs(java.util.Map argsmap)

Takes the arguments from the TCClient and stores it for acess to the other TC Client modules.

Parameters:
  `argsmap` - Map

#### convertException

    public static java.lang.String convertException(java.lang.Exception e,
                                                    int logLevel)

Returns an error message that chains all the lower order error messages that might have been thrown.

Parameters:
  `e` - the Exception for which the error message has to be composed.
  `logLevel` - the user specified level for the logger
Returns:
  the error message.